package com.wyattjmiller.dottyrevised

import java.util.*

class Dot(row: Int, col: Int) {
    var color = 0
    var row: Int
    var col: Int
    var centerX = 0f
    var centerY = 0f
    var radius: Float
    var selected: Boolean
    private val randomGen: Random = Random()

    fun setRandomColor() {
        color = randomGen.nextInt(DotsGame.NUM_COLORS)
    }

    fun isAdjacent(dot: Dot): Boolean {
        val colDiff = Math.abs(col - dot.col)
        val rowDiff = Math.abs(row - dot.row)
        return colDiff + rowDiff == 1
    }

    init {
        setRandomColor()
        selected = false
        radius = 1f
        this.row = row
        this.col = col
    }
}